<?php
/* --------------------------------------------------------------
   Amazon Pay  V3.1.0
   .config.inc.php 2017-02-10

   alkim media
   http://www.alkim.de

   patworx multimedia GmbH
   http://www.patworx.de/

   Released under the GNU General Public License
   --------------------------------------------------------------
*/

define('AWS_ACCESS_KEY_ID', MODULE_PAYMENT_AM_APA_ACCESKEY);
define('AWS_SECRET_ACCESS_KEY', MODULE_PAYMENT_AM_APA_SECRETKEY);
define('AWS_MERCHANT_ID', MODULE_PAYMENT_AM_APA_MERCHANTID);
define('AMZ_FILE_VERSION', '3.2.0');
define('MODULE_PAYMENT_AM_APA_MARKETPLACEID', 'A1OCY9REWJOCW5');
define('MODULE_PAYMENT_AM_APA_PLATFORM_ID', 'AYJ786YBX3WE4');
define('MODULE_PAYMENT_AM_APA_SIMPLE_PATH_ID', 'A2SP360QIPCOMI');
define('MODULE_PAYMENT_AM_APA_SIMPLE_PATH_ID_UK', 'A32Q2CV5V4MYNN');
define('MODULE_PAYMENT_AM_APA_SIMPLE_PATH_ORIGIN', 'SPEXDEAPA-GambioPL');
define('MODULE_PAYMENT_AM_APA_SIMPLE_PATH_ORIGIN_UK', 'SPEXUKAPA-GambioPL');

function amzAutoload($className) {
    $amzDir = DIR_FS_CATALOG . 'AmazonLoginAndPay/';
    $className = str_replace('\\', '/', $className);
    if (@file_exists($amzDir . 'classes/' . $className . '.class.php')) {
        require_once($amzDir . 'classes/' . $className . '.class.php');
    } elseif (@file_exists($amzDir . 'vendor/' . $className . '.php')) {
        require_once($amzDir . 'vendor/' . $className . '.php');
    }
}
spl_autoload_register('amzAutoload');

function prepareMoneyInfo($str) {
    return mb_convert_encoding($str, "UTF-8", "ISO-8859-15");
}

include_once(DIR_FS_CATALOG.'lang/' . $_SESSION["language"] . '/modules/payment/am_apa.php');
