<?php
/* --------------------------------------------------------------
   Amazon Pay  V3.1.0

   alkim media
   http://www.alkim.de
   patworx multimedia GmbH
   http://www.patworx.de/

Released under the GNU General Public License
--------------------------------------------------------------
*/

class AMZCheckoutProcessProcess extends AMZCheckoutProcessProcess_parent{
	protected function _getOrderStatusId()
	{
	    if(isset($_GET["amz"]) && $_GET["amz"] == '1' && MODULE_PAYMENT_AM_APA_STATUS == 'True')
	    {
            return new IdType(AMZ_STATUS_NONAUTHORIZED);
        }
        elseif(isset($this->tmp_status) && $this->tmp_status !== (int)DEFAULT_ORDERS_STATUS_ID)
		{
			return new IdType($this->tmp_status);
		}
		else
		{
			// Return null for the optional parameter so OrderWriteService will determine the default status id.
			return null;
		}
	}
}
