<?php
/* --------------------------------------------------------------
   Amazon Pay  V3.1.0

   alkim media
   http://www.alkim.de
   patworx multimedia GmbH
   http://www.patworx.de/

Released under the GNU General Public License
--------------------------------------------------------------
*/

  // include needed functions
  require_once(DIR_FS_INC . 'xtc_date_long.inc.php');
  require_once(DIR_FS_INC . 'xtc_address_format.inc.php');
  require_once(DIR_FS_INC . 'xtc_get_country_name.inc.php');
  require_once(DIR_FS_INC . 'xtc_get_zone_code.inc.php');
  require_once(DIR_FS_INC . 'xtc_get_tax_description.inc.php');

	//BOF GM_MOD:
	require_once(DIR_FS_CATALOG . 'gm/inc/gm_prepare_number.inc.php');

  class AMZ_order extends AMZ_order_parent {
    

    function cart() {
      global $currencies,$xtPrice;
      parent::cart();


    if(!isset($_SESSION['billto'])&&$_SESSION['payment']=='am_apa'){
        foreach($this->billing AS $k=>$v){
            if(is_array($v)){
                $this->billing[$k] = array();
            }else{
                $this->billing[$k] = '';
            }
        }
    }
  
  	if (isset($_SESSION['AMZ_COUNTRY_ID']) && isset($_SESSION['AMZ_ZONE_ID'])) {
        $this->info['total'] = 0;
        $this->info['subtotal'] = 0;
        $this->info['tax'] = 0;
        $this->info['tax_groups'] = array();
        $tax_address = array('entry_country_id' => $_SESSION['AMZ_COUNTRY_ID'],
         'entry_zone_id' => $_SESSION['AMZ_ZONE_ID']);
  
			$index = 0;
			$products = $_SESSION['cart']->get_products();
			
			for($i = 0, $n = sizeof($products); $i < $n; $i++)
			{
				$products_price = $xtPrice->xtcGetPrice($products[$i]['id'], false, $products[$i]['quantity'], $products[$i]['tax_class_id'], 0, 0, 0, true, true) + $xtPrice->xtcFormat($_SESSION['cart']->attributes_price($products[$i]['id']), false);

				$this->products[$index] = array('qty' => (double)$products[$i]['quantity'],
												'name' => $products[$i]['name'],
												'checkout_information' => $products[$i]['checkout_information'],
												'model' => $products[$i]['model'],
												'tax_class_id' => $products[$i]['tax_class_id'],
												'tax' => xtc_get_tax_rate($products[$i]['tax_class_id'], $tax_address['entry_country_id'], $tax_address['entry_zone_id']),
												'tax_description' => xtc_get_tax_description($products[$i]['tax_class_id'], $tax_address['entry_country_id'], $tax_address['entry_zone_id']),
												'price' => $products_price,
												'price_formated' => $xtPrice->xtcFormat($products_price, true),
												'final_price' => $products_price * $products[$i]['quantity'],
												'final_price_formated' => $xtPrice->xtcFormat($products_price * $products[$i]['quantity'], true),
												'shipping_time' => $products[$i]['shipping_time'],
												'weight' => $products[$i]['weight'],
												'id' => $products[$i]['id'],
												'quantity_unit_id' => $products[$i]['quantity_unit_id'],
												'unit_name' => $products[$i]['unit_name'],
												'product_type' =>  $products[$i]['product_type']);

				if($products[$i]['attributes'])
				{
					$subindex = 0;
					reset($products[$i]['attributes']);
					while(list($option, $value) = each($products[$i]['attributes']))
					{
						$attributes_query = xtc_db_query("SELECT 
																popt.products_options_name, 
																poval.products_options_values_name, 
																pa.options_values_price, 
																pa.price_prefix 
															FROM 
																" . TABLE_PRODUCTS_OPTIONS . " popt, 
																" . TABLE_PRODUCTS_OPTIONS_VALUES . " poval, 
																" . TABLE_PRODUCTS_ATTRIBUTES . " pa 
															WHERE 
																pa.products_id = '" . (int)$products[$i]['id'] . "' AND 
																pa.options_id = '" . (int)$option . "' AND 
																pa.options_id = popt.products_options_id AND 
																pa.options_values_id = '" . (int)$value . "' AND 
																pa.options_values_id = poval.products_options_values_id AND 
																popt.language_id = '" . (int)$_SESSION['languages_id'] . "' AND 
																poval.language_id = '" . (int)$_SESSION['languages_id'] . "'");
						$attributes = xtc_db_fetch_array($attributes_query);

						$this->products[$index]['attributes'][$subindex] = array('option' => $attributes['products_options_name'],
																				'value' => $attributes['products_options_values_name'],
																				'option_id' => $option,
																				'value_id' => $value,
																				'prefix' => $attributes['price_prefix'],
																				'price' => $attributes['options_values_price']);

						$subindex++;
					}
				}

				$shown_price = $this->products[$index]['final_price'];
				// round final single price to avoid wrong total value if quantity is not an integer
				if((double)$products[$i]['quantity'] != (int)$products[$i]['quantity'])
				{
					$shown_price = round($shown_price, 2);
				}
				$this->info['subtotal'] += $shown_price;
				
				if($_SESSION['customers_status']['customers_status_ot_discount_flag'] == 1)
				{
					$shown_price_tax = $shown_price - round($shown_price / 100 * $_SESSION['customers_status']['customers_status_ot_discount'], 2);
				}

				$products_tax = $this->products[$index]['tax'];
				$products_tax_description = $this->products[$index]['tax_description'];
				
				if($_SESSION['customers_status']['customers_status_show_price_tax'] == '1')
				{
					if($_SESSION['customers_status']['customers_status_ot_discount_flag'] == 1)
					{
						$this->info['tax'] += $shown_price_tax - ($shown_price_tax / (($products_tax < 10) ? "1.0" . str_replace('.', '', $products_tax) : "1." . str_replace('.', '', $products_tax)));
						$this->info['tax_groups'][TAX_ADD_TAX . "$products_tax_description"] += (($shown_price_tax / (100 + $products_tax)) * $products_tax);
					}
					else
					{
						$this->info['tax'] += $shown_price - ($shown_price / (($products_tax < 10) ? "1.0" . str_replace('.', '', $products_tax) : "1." . str_replace('.', '', $products_tax)));
						$this->info['tax_groups'][TAX_ADD_TAX . "$products_tax_description"] += (($shown_price / (100 + $products_tax)) * $products_tax);
					}
				}
				else
				{
					if($_SESSION['customers_status']['customers_status_ot_discount_flag'] == 1)
					{
						$this->info['tax'] += ($shown_price_tax / 100) * ($products_tax);
						$this->info['tax_groups'][TAX_NO_TAX . "$products_tax_description"] += ($shown_price_tax / 100) * ($products_tax);
					}
					else
					{
						$this->info['tax'] += ($shown_price / 100) * ($products_tax);
						$this->info['tax_groups'][TAX_NO_TAX . "$products_tax_description"] += ($shown_price / 100) * ($products_tax);
					}
				}
				
				$index++;
			}

			if($_SESSION['customers_status']['customers_status_show_price_tax'] == '0')
			{
				$this->info['total'] = $this->info['subtotal'] + $xtPrice->xtcFormat($this->info['shipping_cost'], false, 0, true);
				
				if($_SESSION['customers_status']['customers_status_ot_discount_flag'] == '1')
				{
					$this->info['total'] -= round($this->info['subtotal'] / 100 * $_SESSION['customers_status']['customers_status_ot_discount'], 2);
				}
			}
			else
			{
				$this->info['total'] = $this->info['subtotal'] + $xtPrice->xtcFormat($this->info['shipping_cost'], false, 0, true);
				
				if($_SESSION['customers_status']['customers_status_ot_discount_flag'] == '1')
				{
					$this->info['total'] -= round($this->info['subtotal'] / 100 * $_SESSION['customers_status']['customers_status_ot_discount'], 2);
				}
			}
		}
	





    }

  }
?>
