<?php
/* --------------------------------------------------------------
   Amazon Pay  V3.1.0
   checkout_amazon_change_payment.php 2017-02-10

   alkim media
   http://www.alkim.de

   patworx multimedia GmbH
   http://www.patworx.de/

   Released under the GNU General Public License
--------------------------------------------------------------
*/
?><?php
include('includes/application_top.php');
include_once(DIR_FS_CATALOG.'AmazonLoginAndPay/.config.inc.php');

$smarty              = new Smarty;

if($_GET["action"] == 'confirm_payment'){
    
    if ((isset($_SESSION['change_payment_amazon_id'])) && ($_SESSION['change_payment_amazon_id'] != '') && (MODULE_PAYMENT_AM_APA_STATUS == 'True')) {
        $amazon_id = $_SESSION['change_payment_amazon_id'];
    } else {
        xtc_redirect(xtc_href_link(FILENAME_SHOPPING_CART));
    }

    $confirmation = AlkimAmazonHandler::call('confirmOrderReference', array('amazon_order_reference_id'=>$amazon_id));
    if(isset($confirmation["Error"])){
        xtc_redirect(xtc_href_link('checkout_amazon_change_payment.php', 'payment_error=1&order='.$_GET["order"]));
    }else{
        AlkimAmazonTransactions::authorize($amazon_id, AlkimAmazonTransactions::getOrderRefTotal($amazon_id));
        $smarty->assign('success', 1);
    }
}

if($_GET["order"]){
    $q = "SELECT customers_id, amazon_order_id FROM ".TABLE_ORDERS." WHERE orders_id = ".(int)$_GET["order"];
    $rs = xtc_db_query($q);
    $r = xtc_db_fetch_array($rs);
    $_SESSION['change_payment_amazon_id'] = $amazon_id = $r["amazon_order_id"];
    $_SESSION["amazon_special_redirect"] = xtc_href_link('checkout_amazon_change_payment.php', 'order='.$_GET["order"], 'SSL');
}else {
    xtc_redirect(xtc_href_link(FILENAME_ACCOUNT));
}

$_SESSION["fromWallet"] = 1;
$breadcrumb->add(AMAZON_CHECKOUT, xtc_href_link('checkout_amazon.php', '', 'SSL'));
// create smarty elements

$smarty->assign('language', $_SESSION['language']);
$smarty->caching = 0;
if(!empty($_GET["payment_error"])){
    $smarty->assign('ERROR', TEXT_AMZ_PAYMENT_METHOD_NOT_ALLOWED);
}
$main_content    = $smarty->fetch(CURRENT_TEMPLATE . '/module/checkout_amazon_change_payment.html');


$coo_layout_control = MainFactory::create_object('LayoutContentControl');
$coo_layout_control->set_data('GET', $_GET);
$coo_layout_control->set_data('POST', $_POST);
$coo_layout_control->set_('coo_breadcrumb', $GLOBALS['breadcrumb']);
$coo_layout_control->set_('coo_product', $GLOBALS['product']);
$coo_layout_control->set_('coo_xtc_price', $GLOBALS['xtPrice']);
$coo_layout_control->set_('c_path', $GLOBALS['cPath']);
$coo_layout_control->set_('main_content', $main_content);
$coo_layout_control->set_('request_type', $GLOBALS['request_type']);
$coo_layout_control->proceed();

$t_redirect_url = $coo_layout_control->get_redirect_url();
if(empty($t_redirect_url) === false)
{
	xtc_redirect($t_redirect_url);
}
else
{
	echo $coo_layout_control->get_response();
}


