<?php
/* --------------------------------------------------------------
   Amazon Pay  V3.1.0
   am_apa.php 2017-02-10

   alkim media
   http://www.alkim.de

   patworx multimedia GmbH
   http://www.patworx.de/

   Released under the GNU General Public License
   --------------------------------------------------------------
*/
DEFINE ('BOX_CONFIGURATION_777', 'Amazon Pay options');
DEFINE('MODULE_PAYMENT_AM_APA_TEXT_TITLE', 'Amazon Pay');
DEFINE('MODULE_PAYMENT_AM_APA_STATUS_TITLE', 'Activate module?');
DEFINE('MODULE_PAYMENT_AM_APA_STATUS_DESC', 'You can activate and deactivate Amazon Pay by selecting the appropriate setting.');
DEFINE('MODULE_PAYMENT_AM_APA_MERCHANTID_TITLE', 'Amazon Merchant ID');
DEFINE('MODULE_PAYMENT_AM_APA_MERCHANTID_DESC', 'Your Amazon Merchant ID');
DEFINE('MODULE_PAYMENT_AM_APA_MARKETPLACEID_TITLE', 'Amazon Marketplace ID');
DEFINE('MODULE_PAYMENT_AM_APA_MARKETPLACEID_DESC', 'Your Amazon Marketplace ID');
DEFINE('MODULE_PAYMENT_AM_APA_ACCESKEY_TITLE', 'MWS Access Key');
DEFINE('MODULE_PAYMENT_AM_APA_ACCESKEY_DESC', 'This is used for communication and authentication with the Amazon Pay.');
DEFINE('MODULE_PAYMENT_AM_APA_SECRETKEY_TITLE', 'Secret Key');
DEFINE('MODULE_PAYMENT_AM_APA_SECRETKEY_DESC', 'This is used for communication and authentication with the Amazon Pay.');
define('MODULE_PAYMENT_AM_APA_ALLOWED_TITLE', 'Allowed zones');
define('MODULE_PAYMENT_AM_APA_ALLOWED_DESC', 'Please enter <b>individual</b> zones that shall be allowed for this module.');
DEFINE('MODULE_PAYMENT_AM_APA_MODE_TITLE', 'Operation mode');
DEFINE('MODULE_PAYMENT_AM_APA_MODE_DESC', '');
DEFINE('MODULE_PAYMENT_AM_APA_PROVOCATION_TITLE', 'Provoke errors (sandbox only)');
DEFINE('MODULE_PAYMENT_AM_APA_PROVOCATION_DESC', 'Allows the administrator to simulate Amazon rejecting a buyer or a payment.');
DEFINE('MODULE_PAYMENT_AM_APA_ORDER_STATUS_OK_TITLE', 'Order status for successfully authorized payments');
DEFINE('MODULE_PAYMENT_AM_APA_ORDER_STATUS_OK_DESC', 'This status willl be set after Amazon successfully authorized a payment');
DEFINE ('MODULE_PAYMENT_AM_APA_ALLOW_GUESTS_TITLE','Allow guest orders?');
DEFINE ('MODULE_PAYMENT_AM_APA_ALLOW_GUESTS_DESC','Customers can pay with Amazon Pay also if they do not have a customer account in your shop.');
define('AMZ_YES', 'Yes');
define('AMZ_NO', 'No');
define('AMZ_SANDBOX', 'Sandbox (test) mode');
define('AMZ_LIVE', 'Live mode');
define('AMZ_AUTHORIZATION_CONFIG_TITLE', 'When / how is the authorization going to happen');
define('AMZ_AUTHORIZATION_CONFIG_DESC', 'Decline risk is slightly higher with immediate authorizations. You should use it if you are selling digital goods (downloads) and therefore need an immediate confirmation, or if you want to give your customer an immediate feedback about authorization success.<br />br />After a successful authorization you have 30 days to ship the order and charge the buyer. Amazon guarantees that a charge will be successful for the first seven days.');
define('AMZ_CAPTURE_CONFIG_TITLE', 'When / how is the payment going to happen');
define('AMZ_CAPTURE_CONFIG_DESC', '');
define('AMZ_FAST_AUTH', 'During the checkout / when placing the order');
define('AMZ_AUTH_AFTER_CHECKOUT', 'Immediately after the order was placed');
define('AMZ_CAPTURE_AFTER_AUTH', 'Immediately after successful automatic authorization');
define('AMZ_AFTER_SHIPPING', 'After shipping');
define('AMZ_MANUALLY', 'Manually');
define('AMZ_SHIPPED_STATUS_TITLE', 'Order status for shipped orders');
define('AMZ_SHIPPED_STATUS_DESC', 'Important for charging the buyer when shipped');
define('AMZ_REVOCATION_ID_TITLE', 'Content ID for cancellation policy');
define('AMZ_AGB_ID_TITLE', 'Content ID for general business terms');
define('AMZ_BUTTON_SIZE_TITLE', 'Size of the Amazon-Checkout-Button');
define('AMZ_BUTTON_COLOR_TITLE', 'Color of the Amazon-Checkout-Button');
define('AMZ_BUTTON_COLOR_ORANGE', 'Amazon-style yellow');
define('AMZ_BUTTON_COLOR_TAN', 'Gray');
define('AMZ_BUTTON_SIZE_MEDIUM', 'Medium');
define('AMZ_BUTTON_SIZE_LARGE', 'Large');
define('AMZ_BUTTON_SIZE_XLARGE', 'Very large');
define('AMZ_TX_TYPE_HEADING', 'Transaction type');
define('AMZ_TX_TIME_HEADING', 'Time');
define('AMZ_TX_STATUS_HEADING', 'Status');
define('AMZ_TX_LAST_CHANGE_HEADING', 'Last change');
define('AMZ_TX_ID_HEADING', 'Amazon transaction ID');
define('AMZ_AUTH_TEXT', 'Authorization');
define('AMZ_ORDER_TEXT', 'Order');
define('AMZ_CAPTURE_TEXT', 'Capture');
define('AMZ_REFUND_TEXT', 'Refund');
define('AMZ_TX_AMOUNT_HEADING', 'Amount');
define('AMZ_IPN_URL_TITLE', 'URL for Amazon IPN');
define('AMZ_TX_EXPIRATION_HEADING', 'Valid until');
define('AMZ_HISTORY', 'Amazon Pay history');
define('AMZ_ORDER_AUTH_TOTAL', 'Authorized total');
define('AMZ_ORDER_CAPTURE_TOTAL', 'Captured total');
define('AMZ_SUMMARY', 'Amazon summary');
define('AMZ_ACTIONS', 'Amazon actions');
define('AMZ_CAPTURE_FROM_AUTH_HEADING', 'Capture authorized payments');
define('AMZ_TX_ACTION_HEADING', 'Actions');
define('AMZ_CAPTURE_TOTAL_FROM_AUTH', 'Capture complete amount');
define('AMZ_AUTHORIZE', 'Authorize payment');
define('AMZ_AUTHORIZATION_SUCCESSFULLY_REQUESTED', 'Authorization request successful');
define('AMZ_AUTHORIZATION_REQUEST_FAILED', 'Authorization request failed');
define('AMZ_CAPTURE_SUCCESS', 'Capture successful');
define('AMZ_CAPTURE_FAILED', 'Capture failed');
define('AMZ_AMOUNT_LEFT_TO_OVER_AUTHORIZE', 'Additional amount that can be authorized');
define('AMZ_AMOUNT_LEFT_TO_AUTHORIZE', 'Standard authorization');
define('AMZ_TYPE', 'Type');
define('AMZ_REFUNDS', 'Refunds');
define('AMZ_REFUND', 'Refund');
define('AMZ_REFUND_SUCCESS', 'Refund successful');
define('AMZ_REFUND_FAILED', 'Refund failed');
define('AMZ_REFRESH', 'Refresh');
define('AMZ_CAPTURE_AMOUNT_FROM_AUTH', 'Capture partial amount');
define('AMZ_REFUND_TOTAL', 'Refund total amount');
define('AMZ_REFUND_AMOUNT', 'Refund partial amount');
define('AMZ_TX_AMOUNT_REFUNDED_HEADING', 'Refunded');
define('AMZ_TX_SUM', 'Sum');
define('AMZ_TX_AMOUNT_REFUNDABLE_HEADING', 'Possible to refund');
define('AMZ_TX_AMOUNT_POSSIBLE_HEADING', 'Maximum possible');
define('AMZ_AUTHORIZE_AMOUNT', 'Authorize partial amount');
define('AMZ_TX_AMOUNT_NOT_AUTHORIZED_YET_HEADING', 'Amount not authorized yet');
define('AMZ_REFUND_OVER_AMOUNT', 'Refund more');
define('AMZ_FINISHED_REFRESHING_ORDER', 'Order refreshed');
define('AMZ_OVER_AUTHORIZE_AMOUNT', 'Authorize more');
define('MODULE_PAYMENT_AM_APA_IPN_STATUS_TITLE', 'Receive status updates via IPN');
define('AMZ_CRON_URL_TITLE', 'Cron job URL');
define('MODULE_PAYMENT_AM_APA_CRON_STATUS_TITLE', 'Activate cron job for status updates');
define('AMZ_AGB_DISPLAY_MODE_TITLE', 'Show general business terms and cancellation policy');
define('AMZ_AGB_DISPLAY_MODE_SHORT', 'Only notice');
define('AMZ_AGB_DISPLAY_MODE_LONG', 'Complete description with checkbox');
define('AMZ_CRON_PW_TITLE', 'Password for cron job');
define('AMZ_SOFT_DECLINE_SUBJECT_TITLE', 'Email subject for declined payment');
define('AMZ_PAYMENT_NAME_TITLE', 'Email sender name');
define('AMZ_PAYMENT_EMAIL_TITLE', 'Email sender address');
define('AMZ_HARD_DECLINE_SUBJECT_TITLE', 'Email subject for declined orders');
define('AMZ_SEND_MAILS_ON_DECLINE_TITLE', 'Automatically update customer about a declined authorization');
define('AMZ_FASTAUTH_SOFT_DECLINED', 'Please choose a different payment method');
define('AMZ_FASTAUTH_HARD_DECLINED', 'Your payment was declined by Amazon Pay - please select a different payment method');
define('AMZ_UNKNOWN_ERROR', 'Your order could not be processed - please try again using a different payment method');
define('AMZ_CANCEL_ORDER', 'Cancel Amazon payment process');
define('AMZ_CLOSE_ORDER', 'Close order');
define('AMZ_ORDER_CANCELLED', 'Amazon payment process cancelled');
define('AMZ_ORDER_CLOSED', 'Order closed');
define('AMZ_SHOW_ON_CHECKOUT_PAYMENT_TITLE', 'Show Amazon button in normal checkout');
define('AMZ_DEBUG_MODE_TITLE', 'debug mode');
define('AMZ_DEBUG_MODE_DESC', 'When using debug mode, the payment through the Amazon Pay is only visible for Admins');
define('AMZ_EXCLUDED_SHIPPING_TITLE', 'exclude shipping options');
define('AMZ_NEW_VERSION_AVAILABLE', 'A new version of this module is available');
define('AMZ_VERSION_IS_GOOD', 'Your module version is up to date');
define('AMZ_EXCLUDE_PRODUCTS', 'Exclude products');
define('AMZ_SEARCH', 'Search');
define('AMZ_EXCLUDED_PRODUCTS', 'Excluded products');
define('AMZ_SEARCH_RESULT', 'Search result');
define('AMZ_EXCLUDED_PRODUCTS_TITLE', 'Exclude products from payment with Amazon');
define('AMZ_EXCLUDED_PRODUCTS_OPEN', ' Open');
define('AMZ_ALL_MANUFACTURERS', 'All manufacturers');
define('AMZ_INCLUDE_ALL_PRODUCTS', 'Remove all');
define('AMZ_EXCLUDE_ALL_PRODUCTS', 'Exclude all');
define('AMZ_TEMPLATE_1', 'Template 1');
define('AMZ_TEMPLATE_2', 'Template 2');
define('AMZ_TEMPLATE_TITLE', 'Select a template');
define('AMZ_CANCEL_ORDER_FROM_WALLET', 'Cancel the payment with Amazon Pay');
define('AMZ_WALLET_INTRO', 'The chosen payment method is unfortunately currently unavailable. Please select a different payment method.');
define('AMZ_DOWNLOAD_ONLY_TITLE', 'In this store only virtual items are sold');
define('AMZ_DOWNLOAD_ONLY_DESC', 'If you select yes, no shipping address is queried, when you select the authorization during the checkout process.');
define('AMZ_HEADING_AMAZON_PAYMENTS_ACCOUNT', 'Amazon Pay Account');
define('AMZ_HEADING_GENERAL_SETTINGS', 'General Settings');
define('AMZ_HEADING_DESIGN_SETTINGS', 'Design Settings');
define('AMZ_HEADING_IPN_SETTINGS', 'IPN Settings');
define('AMZ_HEADING_CRONJOB_SETTINGS', 'Cronjob Settings');
define('AMZ_HEADING_MAIL_SETTINGS', 'E-Mail Settings');

# Update V2.01
define('AMZ_DB_UPDATE_WARNING', 'You updated the module. You have to update the database now.');
define('AMZ_DB_UPDATE_BUTTON_TEXT', 'Update database');
define('AMZ_IPN_PW_TITLE', 'IPN password');
define('AMZ_SET_SELLER_ORDER_ID_TITLE', 'Submit order-number to Amazon');
define('AMZ_SET_SELLER_ORDER_ID_DESC', 'Attention: There can be gaps in the order-numbers caused by order-cancellations.');
define('AMZ_ORDER_REF_HEADING', 'Amazon Order-Reference');
define('AMZ_ORDERS_ID_HEADING', 'Shop order');
define('AMZ_TRANSACTION_HISTORY', 'Amazon Transaction-Protocol');
define('AMZ_BACK', 'Back');
define('AMZ_MERCHANT_ID_INVALID', 'No actions possible. Your Amazon Merchant-ID is not matching');
define('AMZ_STATUS_NONAUTHORIZED_TITLE', 'Status for orders which are not authorized');

# Update V2.10
define('MODULE_PAYMENT_AM_APA_LPA_MODE_TITLE', 'Mode Login/Pay');
define('MODULE_PAYMENT_AM_APA_LPA_MODE_DESC', '');
define('MODULE_PAYMENT_AM_APA_CLIENTID_TITLE', 'Client-ID for Login &amp; Pay');
define('MODULE_PAYMENT_AM_APA_CLIENTID_DESC', 'This is used for communication and authentication with Login &amp; Pay by Amazon');
define('AMZ_SET_ADDRESS_TITLE', 'Thank you for logging in with Amazon Pay');
define('AMZ_SET_ADDRESS_INTRO', 'To continue, we require a standard address. During the checkout you can always choose a shipping address.');
define('AMZ_CONNECT_ACCOUNTS_TITLE', 'Thank you for logging in with Amazon Pay');
define('AMZ_CONNECT_ACCOUNTS_INTRO', 'We found an account with your email address in our shop. Please enter the password for this shop to connect the account with your Amazon account.');
define('AMZ_PASSWORD', 'Your password');
define('AMZ_CONNECT_ACCOUNTS', 'Connect accounts');
define('AMZ_CONNECT_ACCOUNTS_ERROR', 'Error: Wrong password');
define('MODULE_PAYMENT_AM_APA_POPUP_TITLE', 'If possible Amazon-Login in Popup');
define('MODULE_PAYMENT_AM_APA_POPUP_DESC', 'Should the Amazon-Login preferably be displayed in a Popup? Otherwise the customer is redirected to Amazon for login and returns after the successful login to your shop. Login in a Popup is only supported, if the whole Shop is protected by SSL.');
define('AMZ_LOGIN_PROCESSING_TITLE', 'Thank you for logging in with Amazon Pay');
define('AMZ_LOGIN_PROCESSING_INTRO', 'You will be forwarded in a few seconds...');
define('AMZ_BUTTON_SIZE_TITLE', 'Amazon checkout button size  (pay-Mode)');
define('AMZ_BUTTON_SIZE_TITLE_LPA', 'Amazon checkout button size  (Login/Login&amp;Pay-Mode)');
define('AMZ_BUTTON_COLOR_TITLE', 'Amazon checkout button color (pay-Mode)');
define('AMZ_BUTTON_COLOR_TITLE_LPA', 'Amazon checkout button color (Login/Login&amp;Pay-Modus)');
define('AMZ_BUTTON_COLOR_TAN_LIGHT', 'LightGray');
define('AMZ_BUTTON_COLOR_TAN_DARK', 'DarkGray');
define('AMZ_BUTTON_SIZE_SMALL', 'Small');
define('AMZ_BUTTON_TYPE_LOGIN_TITLE', 'Button Type Login');
define('AMZ_BUTTON_TYPE_PAY_TITLE', 'Button Type Pay');
define('AMZ_BUTTON_TYPE_LOGIN_LWA', 'Login with Amazon');
define('AMZ_BUTTON_TYPE_LOGIN_LOGIN', 'Login');
define('AMZ_BUTTON_TYPE_LOGIN_A', 'Only a "A"');
define('AMZ_BUTTON_TYPE_PAY_PWA', 'Pay with Amazon');
define('AMZ_BUTTON_TYPE_PAY_PAY', 'Pay');
define('AMZ_BUTTON_TYPE_PAY_A', 'Only a "A"');
define('AMZ_SAVE', 'Save');
define('AMZ_CONFIGURATION', 'Configuration');
define('AMZ_PROTOCOL', 'Transaction protocol');
define('AMZ_CLOSE_ORDER_ON_COMPLETE_CAPTURE_TITLE', 'Mark orders as Closed after charging the complete amount');
define('AMZ_CLOSE_ORDER_ON_COMPLETE_CAPTURE_DESC', '');
define('AMZ_BUTTON_TYPE_PAY_DESC', 'Only available in the operating mode "Login & Pay"');
define('AMZ_INVALID_SECRET', 'Your Secret Key is invalid');
define('AMZ_INVALID_MERCHANT_ID', 'Your Amazon Merchant ID is invalid');
define('AMZ_INVALID_ACCESS_KEY', 'Your MWS Access Key is invalid');
define('AMZ_CREDENTIALS_SUCCESS', 'Your credentials are valid');

define('AMZ_LOG_STATUS_TITLE', 'Write log?');
define('AMZ_LOG_STATUS_DESC', 'Enable logging for all activities');
define('AMZ_CHECKOUT_SINGLE_PRODUCTS_TITLE', 'Checkout with Amazon from product\'s detail page');
define('AMZ_CHECKOUT_SINGLE_PRODUCTS_DESC', '');
define('AMZ_SOMETHING_WRONG', 'Your credentials are invalid');

#3.0
define('AMZ_REDIRECT_URL_TITLE', 'Allowed Return URLs');
define('AMZ_STATUS_HARDDECLINE_TITLE', 'Order status for declined payments');
define('AMZ_CHANGE_PAYMENT_SUCCESS', 'Your method of payment has been successfully changed');
define('AMZ_NO_ACCOUNT_YET', 'Don\'t have a merchant account yet?');
define('AMZ_MY_CREDENTIALS', 'My received data');
define('AMZ_CREATE_ACCOUNT', 'Register merchant account');
define('AMZ_USE_MY_CREDENTIALS', 'Use my data');
define('AMZ_NO_ACCOUNT_DESCRIPTION', '<b>Create your Amazon merchant account now in three simple steps:</b><br/>
<ol>
        <li>Click on "'.AMZ_CREATE_ACCOUNT.'"</li>
        <li>Follow Amazon\'s instructions</li>
        <li>Entered the received data below under "'.AMZ_MY_CREDENTIALS.'" and click on "'.AMZ_USE_MY_CREDENTIALS.'"</li>
</ol>
');
define('MODULE_PAYMENT_AM_APA_ALLOWED_PAYMENT_ZONES_TITLE', 'Zones allowed for billing address');
define('MODULE_PAYMENT_AM_APA_ALLOWED_PAYMENT_ZONES_DESC', '<b>Individually</b> enter the zones to be allowed for the billing address. (Example: AT, DE [if left empty, all zones will be allowed])');
define('PAYMENT_ZONE_NOT_ALLOWED', 'Payment is not allowed from this country - please select a different means of payment');

define('AMZ_STATUS_CAPTUREDECLINE_TITLE', 'Order status for declined payment captures');
define('AMZ_SEND_MAILS_ON_CAPTUREDECLINE_TITLE', 'Inform admin about declined payment captures');
define('AMZ_CAPTURE_DECLINED_EMAIL_SUBJECT', 'Amazon payment collection failed for order #%s');

# from /lang/.../amazon.php
define('AMZ_SINGLE_PRICE', 'unit price');
define('AMZ_TOTAL_PRICE', 'total price');
define('NO_POSITIONS','not available.');
define('CANCEL','Cancel');
define('AMZ_TOTAL', 'Total');
define('ACCEPT','Please, accept our our right of withdrawal and our general terms and conditions!');
define('NO_SHIPPING','Shipping is not possible!');
define('NO_SHIPPING_TO_ADDRESS', 'Shipping is not possible to this address.');
define('FREE_SHIPPING_AT', 'Free shipping at ');
define('SUCCESS','Your Amazon order number for this order is:');
define('AMZ_WAITING', 'Please wait until you are redirected');
define('AMZ_WAITING_IMG', 'https://images-na.ssl-images-amazon.com/images/G/01/cba/images/global/Loading._V192259297_.gif');
define('AMZ_ZOLL', 'If you are ordering from outside of the EU it is possible that you have to pay additional customs duties, taxes or fees to your public authorities. We recommend our customers to clear particulars before ordering.');
define('AMZ_ADMIN_HINT', '* has beed reduced, because of used coupons for the products.');
define('AMZ_ADMIN_BTN', 'Do refund');
define('AMZ_VERSANDANTEIL', 'Shipping');
define('AMZ_PRODUKT', 'Product');
define('AMZ_SHOW_HIDE', 'show/hide');
define('AMZ_REFUND_SUCCESS', 'Refund successfully submitted!');
define('AMZ_REFUND_ERROR', 'Refund not submitted - please check the submitted amounts!');
define('AMZ_DATE', 'Date');
define('AMZ_BETRAG', 'Amount');
define('AMZ_ACCEPT_REVOCATION', 'I accept your withdrawals');
define('AGB_SHORT_TEXT', 'I have read the <a href="%s" onclick="amzPopupWindow(\'%s\'); return false;" target="_blank">merchant\'s general business terms</a> and give my consent by confirming the order.');
define('REVOCATION_SHORT_TEXT', ' I acknowledge the <a href="%s" onclick="amzPopupWindow(\'%s\'); return false;" target="_blank">cancellation policy</a>.');
define('AMAZON_CHECKOUT', 'Amazon Pay'); 
define('AMZ_VIRTUAL_TEXT', 'You have only virtual goods in the basket.');
define('AMZ_USE_GV', 'Use credit');
define('AMZ_AMOUNT_TOO_LOW_ERROR', 'Orders placed without payment can not be processed via Amazon');
define('TEXT_CONTINUE_AS_GUEST', 'Continue without login');
define('AMZ_JS_ORIGIN_TITLE', 'Allowed JavaScript Origins');

# 3.0.2
define('AMZ_SEND_MAILS_ON_AUTH_TITLE', 'Send notification email for successful authorizations');
define('AMZ_PAYMENT_AUTH_EMAIL_TITLE', 'Send authorization notification email');
define('TEXT_AMZ_AUTH_EMAIL_SUBJECT', 'Amazon Pay - authorization successful');
define('TEXT_AMZ_PAYMENT_GENERAL_ERROR', 'An error occurred');
define('TEXT_AMZ_PAYMENT_METHOD_NOT_ALLOWED', 'Please select another payment instrument');
define('AMZ_VAT_ID_INFO_TITLE', 'Displaying a notice regarding VAT ID numbers to customers from the EU');
define('AMZ_VAT_ID_INFO_DESC', 'Do you want customers from the EU to be shown a notice instructing them to add a VAT ID number (where applicable) to their customer account?');
define('AMZ_VAT_ID_INFO_TEXT', 'Are you a commercial customer? Then please add your VAT ID number to your <a href="'.xtc_href_link('account_edit.php').'">customer account</a>.');

#3.1.0
define('AMZ_ORDER_REFERENCE_IN_COMMENT_TITLE', 'Amazon Pay Reference-ID in order comment');
define('AMZ_ORDER_REFERENCE_IN_COMMENT_PREFIX', 'Amazon Pay Reference-ID');
define('AMZ_ORDER_STATUS_PARTIALLY_CAPTURED_TITLE', 'Order status for: partial payment confirmed');
define('AMZ_ORDER_STATUS_CAPTURED_TITLE', 'Order status for: complete payment confirmed');
define('AMZ_ORDER_STATUS_SOFT_DECLINE_TITLE', 'Order status for: payment interrupted - customer action required');
define('AMZ_CHECKOUT_SUCCESS_PENDING_AUTHORIZATION', 'Your transaction with Amazon Pay is currently being validated. Please be aware that we will inform you shortly as needed.');

#3.1.1
define('AMZ_DELETE', 'Delete');
define('AMZ_INCREASE', 'Increase amount');
define('AMZ_DECREASE', 'Decrease amount');
define('AMZ_PAY_EXISTING_ORDER_INTRO', 'Please pay here for your existing order');
define('AMZ_PAY_EXISTING_ORDER_SUCCESS', 'Thank you for paying with Amazon Pay');
define('AMZ_PAY_EXISTING_ORDER_ERROR_WRONG_PAYMENT_METHOD', 'This order cannot be paid with Amazon Pay');
define('AMZ_PAY_EXISTING_ORDER_ERROR_ALREADY_PAID', 'This order has already been paid');
define('AMZ_SEND_PAY_MAIL', '&raquo; Send Amazon Pay payment information via e-mail');
define('AMZ_SEND_PAY_MAIL_SUCCESS', 'Amazon Pay payment information has been sent');
define('AMZ_PAY_EXISTING_ORDER_EMAIL_SUBJECT', 'Amazon Pay payment information for your order');

#3.2.0
define('AMZ_BUTTON_TOOLTIP', 'Pay now using the payment and delivery information stored in your Amazon account');