<?php
/* --------------------------------------------------------------
   Amazon Pay  V3.1.0
   checkout_amazon_wallet.php 2017-02-10

   alkim media
   http://www.alkim.de

   patworx multimedia GmbH
   http://www.patworx.de/

   Released under the GNU General Public License
--------------------------------------------------------------
*/
?><?php
include('includes/application_top.php');
include_once(DIR_FS_CATALOG.'AmazonLoginAndPay/.config.inc.php');
// Check if Amazon ID is set and Amazon is allowed
if ((isset($_SESSION['amazon_id'])) && ($_SESSION['amazon_id'] != '') && (MODULE_PAYMENT_AM_APA_STATUS == 'True')) {
    $amazon_id = $_SESSION['amazon_id'];
} else {
    xtc_redirect(xtc_href_link(FILENAME_SHOPPING_CART));
}

if($_GET["action"] == 'confirm_payment'){
    $_GET["amz"] = 1;
    $confirmation = AlkimAmazonHandler::call('confirmOrderReference', array('amazon_order_reference_id'=>$amazon_id));
    if(isset($confirmation["Error"])){
        xtc_redirect(xtc_href_link('checkout_amazon_wallet.php', 'payment_error=1'));
    }
    #Gambio specific
    require_once (DIR_FS_INC.'xtc_calculate_tax.inc.php');
    require_once (DIR_FS_INC.'xtc_address_label.inc.php');
    require_once (DIR_FS_INC.'changedatain.inc.php');
    require_once (DIR_FS_INC . 'xtc_check_stock.inc.php');

    $coo_checkout_process = MainFactory::create_object('CheckoutProcessProcess');
    $coo_checkout_process->set_data('GET', $_GET);
    $coo_checkout_process->set_data('POST', $_POST);

    $coo_checkout_process->proceed();

    $t_redirect_url = $coo_checkout_process->get_redirect_url();
    if(empty($t_redirect_url) == false)
    {
	    xtc_redirect($t_redirect_url);
    }
}

$_SESSION["fromWallet"] = 1;
$breadcrumb->add(AMAZON_CHECKOUT, xtc_href_link('checkout_amazon.php', '', 'SSL'));
// create smarty elements
$smarty              = new Smarty;

// include needed functions

# BUGFIX 2014-08-12 BOM
if(defined('IS_GAMBIO') && IS_GAMBIO == 1){
    $smarty->assign('LIGHTBOX', gm_get_conf('GM_LIGHTBOX_CHECKOUT'));
    $smarty->assign('LIGHTBOX_CLOSE', xtc_href_link(FILENAME_DEFAULT, '', 'NONSSL'));
}
# BUGFIX 2014-08-12 EOM
if(!empty($_GET["payment_error"])){
    $smarty->assign('ERROR', TEXT_AMZ_PAYMENT_METHOD_NOT_ALLOWED);
}
$smarty->assign('BUTTON_CONTINUE', xtc_image_button('button_confirm_order.gif', IMAGE_BUTTON_CONFIRM_ORDER, ' style="cursor:pointer;" ')); 
$smarty->assign('language', $_SESSION['language']);
$smarty->caching = 0;
$main_content    = $smarty->fetch(CURRENT_TEMPLATE . '/module/checkout_amazon_wallet.html');


$coo_layout_control = MainFactory::create_object('LayoutContentControl');
$coo_layout_control->set_data('GET', $_GET);
$coo_layout_control->set_data('POST', $_POST);
$coo_layout_control->set_('coo_breadcrumb', $GLOBALS['breadcrumb']);
$coo_layout_control->set_('coo_product', $GLOBALS['product']);
$coo_layout_control->set_('coo_xtc_price', $GLOBALS['xtPrice']);
$coo_layout_control->set_('c_path', $GLOBALS['cPath']);
$coo_layout_control->set_('main_content', $main_content);
$coo_layout_control->set_('request_type', $GLOBALS['request_type']);
$coo_layout_control->proceed();

$t_redirect_url = $coo_layout_control->get_redirect_url();
if(empty($t_redirect_url) === false)
{
	xtc_redirect($t_redirect_url);
}
else
{
	echo $coo_layout_control->get_response();
}


